Bug 798832 - Process does not correctly jump over non-Task topic
Summary: Process does not correctly jump over non-Task topic
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
(Show other bugs)
Version: 1.x
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 799821
TreeView+ depends on / blocked
 
Reported: 2012-03-01 02:44 UTC by Joshua Wulf
Modified: 2014-10-19 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 01:30:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Wulf 2012-03-01 02:44:27 UTC
Build of Spec ID 6192 revision 42109


4.3.4 is a task. 4.3.5 is a reference. 4.3.6 is a task

Actual behavior:
At the end of 4.3.4 no "Next Step" link is inserted.
At the end of 4.3.5 a "Next Step" link is inserted pointing to 4.3.6.

Expected behavior:
At the end of 4.3.4 a "Next Step" link is inserted pointing to 4.3.6.
At the end of 4.3.5 no "Next Step" link is inserted.

Comment 1 Joshua Wulf 2012-03-01 02:45:01 UTC
Web Service at http://csprocessor.cloud.lab.eng.bne.redhat.com:8080/ version: 0.21.4

Comment 2 Lee Newson 2012-03-05 06:35:08 UTC
Fixed in 0.22.0.

Cause:
When processes were being processed a previous processed topic was being stored based on the order they were added. The was then used to added the next link to the current processed topic, resulting in the relationships being incorrectly injected.

Consequence:
The previous/next links were injected incorrectly.

Fix:
To go with some changes recently the whole approach was redesigned so that the relationships were added in a better manner. With this the previous relationship is stored differently resulting in the fix.

Comment 3 Lee Newson 2013-06-07 01:30:42 UTC
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.


Note You need to log in before you can comment on or make changes to this bug.